Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTabbedPane.ModelListener

    java.lang.Object
      |
      +--javax.swing.JTabbedPane.ModelListener

All Implemented Interfaces:
  ChangeListener, EventListener, Serializable

Enclosing class:
  JTabbedPane

protected class JTabbedPane.ModelListener
extends Object
implements ChangeListener, Serializable

We pass `ModelChanged` events along to the listeners with the tabbedpane (instead of the model itself) as the event source.

Constructor Summary
`protected` | `JTabbedPane.ModelListener()`

Method Summary
`void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTabbedPane.ModelListener

    protected JTabbedPane.ModelListener()

Method Detail

### stateChanged

    public void stateChanged(ChangeEvent e)

  Description copied from interface: `ChangeListener`
  Invoked when the target of the listener has changed its state.

  Specified by:
    `stateChanged` in interface `ChangeListener`
  Parameters:
    `e` - a ChangeEvent object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.